<!-- -------------------- ./doc/askpass.html -------------------- -->
<?php include "snippets/header-new.html"; ?>

<main class="os-main-content">
  <div class="fr-grid-row fr-grid-row--gutters fr-grid-row--center fr-grid-row--middle">
    <div class="fr-col-8">

      <div class="fr-alert fr-alert--warning fr-my-2w" role="alert">
        <h2 class="fr-alert__title">Dossier protégé par un mot de passe</h2>
        <p>
          L'accès au dossier nécéssite un <a href="#" onclick="event.preventDefault();" aria-controls="dossier-pass" data-fr-opened="false">mot de passe</a>.<br>
          Si vous ne l'avez pas, où l'avez perdu, veuillez le redemander à la personne qui vous a partagé ce dossier<br>
        </p>
      </div>
    </div>
  </div>
</main>

<dialog aria-labelledby="dossier-pass-title" id="dossier-pass" class="fr-modal" role="dialog" data-fr-concealing-backdrop="false">
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" aria-controls="dossier-pass">
              Fermer
            </button>
          </div>
          <form method="post" action="<?php echo $this->URL->GetDosMethod('SetAuth'); ?>">
            <div class="fr-modal__content">
              <h1 id="dossier-pass-title" class="fr-modal__title">
                <span class="fr-icon-lock-line fr-icon--lg"></span> Mot de passe
              </h1>
              <input name="DID" value="<?php echo $this->DOSINFO['did']; ?>" type="hidden">

              <div class="fr-input-group">
                <label class="fr-label" for="PASSWD">Dossier protégé</label>
                <input class="fr-input" id="PASSWD" name="PASSWD" type="password">
              </div>
            </div>

            <div class="fr-modal__footer">
              <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-left">
                <li>
                  <button class="fr-btn fr-icon-lock-line" type="submit">OK</button>
                </li>
                <li>
                  <button class="fr-btn fr-icon-close-line fr-btn--secondary" aria-controls="dossier-pass" onclick="event.preventDefault()">
                    Annuler
                  </button>
                </li>
              </ul>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</dialog>

  <script>
    document.addEventListener("DOMContentLoaded", function () {
      const dossierPassModal = document.getElementById('dossier-pass');
      window.dsfr(dossierPassModal).modal.disclose();
    });
  </script>
<!-- -------------------------------------------------------------------- -->
<!-- -------------------------------------------------------------------- -->


</body>
</html>


